import { Exec } from "../adapters/exec";
import { SansDependencies } from "../binding";
import { TSLintRuleOptions } from "../converters/lintConfigs/rules/types";
import { importer } from "./importer";
export declare type TSLintConfiguration = {
    extends?: string[];
    rulesDirectory?: string[];
    rules?: TSLintConfigurationRules;
};
export declare type TSLintConfigurationRules = Record<string, Partial<TSLintRuleOptions>>;
export declare type FindTSLintConfigurationDependencies = {
    exec: Exec;
    importer: SansDependencies<typeof importer>;
};
export declare const findTSLintConfiguration: (dependencies: FindTSLintConfigurationDependencies, config: string | undefined) => Promise<Error | {
    full: {
        rules: {
            [x: string]: Partial<TSLintRuleOptions>;
        };
        extends?: string[] | undefined;
    };
    raw: Partial<TSLintConfiguration>;
}>;
